# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/clock/imx93-clock.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: NXP i.MX93 Clock Control Module Binding

maintainers:
  - Peng Fan <peng.fan@nxp.com>

description: |
  i.MX93 clock control module is an integrated clock controller, which
  includes clock generator, clock gate and supplies to all modules.

properties:
  compatible:
    enum:
      - fsl,imx93-ccm

  reg:
    maxItems: 1

  clocks:
    description:
      specify the external clocks used by the CCM module.
    items:
      - description: 32k osc
      - description: 24m osc
      - description: ext1 clock input

  clock-names:
    description:
      specify the external clocks names used by the CCM module.
    items:
      - const: osc_32k
      - const: osc_24m
      - const: clk_ext1

  '#clock-cells':
    const: 1
    description:
      See include/dt-bindings/clock/imx93-clock.h for the full list of
      i.MX93 clock IDs.

required:
  - compatible
  - reg
  - '#clock-cells'

additionalProperties: false

examples:
  # Clock Control Module node:
  - |
    clock-controller@44450000 {
        compatible = "fsl,imx93-ccm";
        reg = <0x44450000 0x10000>;
        #clock-cells = <1>;
    };

...
